Subject: Summary: flexible MD code

From: Guenter Kaeb <[email-masked]>
Date: Fri, 23 Apr 1999 15:30:02 +0200 (MESZ)

Dear CCLers,

On April 13 I posted a message asking for flexible MD codes or bunch of
routines allowing for (relatively) easy implementation of non-standard
and especially complicated interaction potentials. The aim is to study
in detail the energy exchange between vibrational modes of solutes in liquids
and the dissipative loss of vibrational energy to the solvent.
Here is a summary of the responses (more than I expected!!!).

Sincere thanks to all who responded!! I appreciate your hints.

Kind regards, Guenter Kaeb [email-masked]

--- David van der Spoel wrote (April 14, 1999) ---

Hi,

The GROMACS code from the Berendsen group
is quite easily extensible as long as you stick to pair
potentials, and bonded terms. It includes tabulated potentials for
nonbonded interactions, which you
can quite easy extend with your own potential form. It is written in C
with some innerloops (optional) in F77 for performance.

http://md.chem.rug.nl/~gmx

Groeten, David.
________________________________________________________________________
Dr. David van der Spoel         Biomedical center, Dept. of Biochemistry
s-mail: Husargatan 3, Box 576,  75123 Uppsala, Sweden
e-mail: [email-masked]    www: http://zorn.bmc.uu.se/~spoel
phone:  46 18 471 4205          fax: 46 18 511 755
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

--- Luiz Freitas wrote (April 14, 1999) ---

Dear Guenter,

I am using the tinker package and I found it fine
and easy to use. The has a lot of facilities.
You can get it from

http://dasher.wustl.edu/tinker

Take care
Luiz C G Freitas

--------------------------------------------------
Dr. Luiz Carlos Gomide Freitas
Present address:
Department of Biochemistry and Biophysical Science
University of Houston
Houston, TX 77204-5513, USA

Permanent address:
Laboratorio de Quimica Teorica
Departamento de Quimica
Universidade Federal de Sao Carlos
CP 676
13.565-905 Sao Carlos, SP
Brasil

--- Ferenc Molnar wrote (April 15, 1999) ---
Dear Guenter:

During my PhD thesis I have developed a MD code which "exactly"
does what what you want. I used the code to determine the site
geometries of (small) molecules in rare gas matrices. The code
is written in FORTRAN77 and C and was tested on CRAY, SGI, and
Linux platforms. Currently I am not working very much on the
code which is very flexible in terms of potential surfaces,
but you can contact Dominik Horinek, who continued my work
in Regensburg ([email-masked]).
He used the program for OClO, with high quality ab initio data
as a basis for the potentials - this seems to be very close
to what you intend to do.

If you are interested in the Software, feel free to contact either
Dominik or Prof. B. Dick ([email-masked]).

Hope this helps!

Ferenc

Ferenc Molnar

----------------------------------------------
Theoretical Biophysics Group
Beckman Institute
University of Illinois at Urbana-Champaign
405 North Mathews Avenue

Urbana, IL, 61801, USA
Telephone (217) 244-1855
Telefax (217) 244-6078

e-mail [email-masked]
http://www.ks.uiuc.edu/~ferenc

----------------------------------------------

--- Vladimir Murashov wrote (April 15, 1999) ---

Hi Guenter,

MolDy codes (in C) could be relatively easily adjusted for
another form of potential interaction.
This classical MD program can be found at
its author web-site
"http://www.earth.ox.ac.uk/~keith/moldy.html"

Regards,
Vladimir V. Murashov, PhD

Dept. Chemistry, University of British Columbia
Vancouver, BC V6T1Z1, Canada

--- Don Steiger wrote (April 15, 1999) ---
Have you looked at

http://www.ks.uiuc.edu/Development/

http://tincan.bioc.columbia.edu/pmd/.

--- Artem Masunov wrote (April 15, 1999) ---

Take a look at TINKER, it has MD and easy to modify.
I'll appreciate your summary.

Artem

>      __   _________  [email-masked];tel 212-772-5751;fax 212-772-5332
>     /  \ /  _   _  \ text pager: [email-masked] (max. 120 char.)
>    /    \\  \\  \\  \  Chemistry Department, Hunter College, City U. of NY
>   /  /\  \\  \\  \\  \      695 Park Avenue, New York, NY 10021
>  /  ____  \\  \\  \\  \  ---------------------------------------------------
> /__/\__/\__\\__\\__\\__\ The early bird may get the worm,
> \__\/  \/__//__//__//__/ but the second mouse gets the cheese.

--- Konrad Hinsen wrote (April 16, 1999) ---

Ich kann meine Simulationsbibliothek MMTK anbieten
(http://starship.python.net/crew/hinsen/mmtk.html, Testversion der
bald erscheinenden stark erweiterten zweiten Version auf
ftp://dirac.cnrs-orleans.fr/pub/ftp). Darin sind zwar keine derartig
genauen Potentiale enthalten, aber die Bibliothek ist so modular, dass
man neue Potentiale einbauen kann, ohne irgendetwas am bestehenden
Code zu aendern.

MfG Konrad Hinsen.
--
-------------------------------------------------------------------------------
Konrad Hinsen                            | E-Mail: [email-masked]
Centre de Biophysique Moleculaire (CNRS) | Tel.: +33-2.38.25.55.69
Rue Charles Sadron                       | Fax:  +33-2.38.63.15.17
45071 Orleans Cedex 2                    | Deutsch/Esperanto/English/
France                                   | Nederlands/Francais
-------------------------------------------------------------------------------